summaryrefslogtreecommitdiffstats
path: root/rescue-Flash/scripts/clear_systemloop
diff options
context:
space:
mode:
authorOlivier Blin <oblin@mandriva.com>2007-07-05 13:55:45 +0000
committerOlivier Blin <oblin@mandriva.com>2007-07-05 13:55:45 +0000
commit5bf0ea82a312b21ed600c615f75953efcd203363 (patch)
tree1298634443c610b2c101537f6960cac89ebf5bd0 /rescue-Flash/scripts/clear_systemloop
parent3aa29a9d3a01072b942382aff369ee74c3b93a05 (diff)
downloaddrakx-5bf0ea82a312b21ed600c615f75953efcd203363.tar
drakx-5bf0ea82a312b21ed600c615f75953efcd203363.tar.gz
drakx-5bf0ea82a312b21ed600c615f75953efcd203363.tar.bz2
drakx-5bf0ea82a312b21ed600c615f75953efcd203363.tar.xz
drakx-5bf0ea82a312b21ed600c615f75953efcd203363.zip
move rescue-Flash/scripts as rescue/Flash/scripts
Diffstat (limited to 'rescue-Flash/scripts/clear_systemloop')
-rwxr-xr-xrescue-Flash/scripts/clear_systemloop87
1 files changed, 0 insertions, 87 deletions
diff --git a/rescue-Flash/scripts/clear_systemloop b/rescue-Flash/scripts/clear_systemloop
deleted file mode 100755
index f218d0987..000000000
--- a/rescue-Flash/scripts/clear_systemloop
+++ /dev/null
@@ -1,87 +0,0 @@
-#!/bin/bash
-
-# import functions library
-source rescue_common
-
-tmpdir="/tmp/flash-rescue-root"
-rootdir="$tmpdir/pen"
-
-function prepare() {
-
- mkdir -p $rootdir
-
- if ! mount_usbroot $rootdir; then
- return 1
- fi
-
- return 0
-}
-
-function doit() {
-
- clear
- echo
- echo "WARNING!"
- echo
- echo "Mandriva Flash will be reseted to factory defaults!"
- echo -n "All user files, customizations and new packages installed "
- echo "will be removed."
- echo
- echo -n "Do you want to continue? [N/y] "
- read confirm
-
- if [ x"$confirm" = x"y" -o x"$confirm" = x"Y" ]; then
-
- if [ ! -f $loop ]; then
- dd if=/dev/zero of=$loop bs=4000000 count=100
- fi
-
- if [ x"$version" = x"1.0" ]; then
- /sbin/mkfs.ext2 -q -F $loop
- fi
-
- echo
- if [ $? -ne 0 ]; then
- echo 'Error reseting device to factory defaults'
- return 1
- else
- echo 'Mandriva Flash was restored to factory defaults!'
- fi
- fi
-
- echo
-
- return 0
-}
-
-function cleanup() {
-
- umount $rootdir > /dev/null 2>&1
- rmdir $rootdir $tmpdir 2> /dev/null
-}
-
-clear
-trap cleanup SIGINT
-
-version=""
-if ! insert_pendrive; then
- exit 1
-fi
-
-if [ x"$version" = x"1.0" ]; then
- loop="$rootdir/loopbacks/system.loop"
-else
- loop="$rootdir/.loopbacks/system.loop"
-fi
-
-if ! prepare; then
- cleanup
- exit 1
-fi
-
-if ! doit; then
- cleanup
- exit 1
-fi
-
-cleanup